umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Slots | Public Member Functions | Protected Slots | Protected Member Functions | Protected Attributes | List of all members
StereotypesWindow Class Reference

`#include <stereotypeswindow.h>`

Inheritance diagram for StereotypesWindow:

## Public Slots
void | modified ()

## Public Member Functions
| StereotypesWindow (const QString &title, QWidget *parent=0)
| ~StereotypesWindow ()

## Protected Slots
void | slotStereotypesDoubleClicked (QModelIndex index)

## Protected Member Functions
void | contextMenuEvent (QContextMenuEvent *event)

## Protected Attributes
QTableView * | m_stereotypesTree

## Constructor & Destructor Documentation

## ◆ StereotypesWindow()

StereotypesWindow::StereotypesWindow | ( | const QString & | title,
|  | QWidget * | parent = 0 )
| explicit

## ◆ ~StereotypesWindow()

StereotypesWindow::~StereotypesWindow | ( |  | ) |

## Member Function Documentation

## ◆ contextMenuEvent()

void StereotypesWindow::contextMenuEvent | ( | QContextMenuEvent * | event | ) |
| protected

## ◆ modified

void StereotypesWindow::modified | ( |  | ) |
| slot

## ◆ slotStereotypesDoubleClicked

void StereotypesWindow::slotStereotypesDoubleClicked | ( | QModelIndex | index | ) |
| protected slot

## Member Data Documentation

## ◆ m_stereotypesTree

QTableView* StereotypesWindow::m_stereotypesTree
| protected

The documentation for this class was generated from the following files:

- umbrello/stereotypeswindow.h
- umbrello/stereotypeswindow.cpp